Webhooks
List Webhook Partners
Retrieve all registered webhook partners for the instance
GET
/
stocks
/
api
/
webhooks
/
partners
curl "https://api.trusset.org/stocks/api/webhooks/partners" \
-H "X-API-Key: trusset_abc123xy_secret..."
const response = await fetch(
'https://api.trusset.org/stocks/api/webhooks/partners',
{
headers: { 'X-API-Key': 'trusset_abc123xy_secret...' }
}
);
const { data } = await response.json();
{
"success": true,
"data": [
{
"id": "wh_abc123",
"name": "Settlement System",
"webhookUrl": "https://api.example.com/webhooks/trusset",
"active": true
}
],
"metadata": {
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"timestamp": "2025-06-15T12:00:00.000Z",
"instanceId": "inst_abc123"
}
}
Returns all webhook partner registrations associated with the authenticated instance.
Response Fields
boolean
Request status.
object[]
Array of webhook partner records.
curl "https://api.trusset.org/stocks/api/webhooks/partners" \
-H "X-API-Key: trusset_abc123xy_secret..."
const response = await fetch(
'https://api.trusset.org/stocks/api/webhooks/partners',
{
headers: { 'X-API-Key': 'trusset_abc123xy_secret...' }
}
);
const { data } = await response.json();
{
"success": true,
"data": [
{
"id": "wh_abc123",
"name": "Settlement System",
"webhookUrl": "https://api.example.com/webhooks/trusset",
"active": true
}
],
"metadata": {
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"timestamp": "2025-06-15T12:00:00.000Z",
"instanceId": "inst_abc123"
}
}
⌘I
curl "https://api.trusset.org/stocks/api/webhooks/partners" \
-H "X-API-Key: trusset_abc123xy_secret..."
const response = await fetch(
'https://api.trusset.org/stocks/api/webhooks/partners',
{
headers: { 'X-API-Key': 'trusset_abc123xy_secret...' }
}
);
const { data } = await response.json();
{
"success": true,
"data": [
{
"id": "wh_abc123",
"name": "Settlement System",
"webhookUrl": "https://api.example.com/webhooks/trusset",
"active": true
}
],
"metadata": {
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"timestamp": "2025-06-15T12:00:00.000Z",
"instanceId": "inst_abc123"
}
}
